Package org.apache.nutch.indexwriter.elastic

# Interface ElasticConstants

public interface ElasticConstants

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `BULK_CLOSE_TIMEOUT`
  `static final String`
  `EXPONENTIAL_BACKOFF_MILLIS`
  `static final String`
  `EXPONENTIAL_BACKOFF_RETRIES`
  `static final String`
  `HOSTS`
  `static final String`
  `INDEX`
  `static final String`
  `MAX_BULK_DOCS`
  `static final String`
  `MAX_BULK_LENGTH`
  `static final String`
  `OPTIONS`
  `static final String`
  `PASSWORD`
  `static final String`
  `PORT`
  `static final String`
  `SCHEME`
  `static final String`
  `USE_AUTH`
  `static final String`
  `USER`

- ## Field Details

  - ### HOSTS

    static final String HOSTS
    See Also:
      - Constant Field Values

  - ### PORT

    static final String PORT
    See Also:
      - Constant Field Values

  - ### SCHEME

    static final String SCHEME
    See Also:
      - Constant Field Values

  - ### USER

    static final String USER
    See Also:
      - Constant Field Values

  - ### PASSWORD

    static final String PASSWORD
    See Also:
      - Constant Field Values

  - ### USE_AUTH

    static final String USE_AUTH
    See Also:
      - Constant Field Values

  - ### INDEX

    static final String INDEX
    See Also:
      - Constant Field Values

  - ### MAX_BULK_DOCS

    static final String MAX_BULK_DOCS
    See Also:
      - Constant Field Values

  - ### MAX_BULK_LENGTH

    static final String MAX_BULK_LENGTH
    See Also:
      - Constant Field Values

  - ### EXPONENTIAL_BACKOFF_MILLIS

    static final String EXPONENTIAL_BACKOFF_MILLIS
    See Also:
      - Constant Field Values

  - ### EXPONENTIAL_BACKOFF_RETRIES

    static final String EXPONENTIAL_BACKOFF_RETRIES
    See Also:
      - Constant Field Values

  - ### BULK_CLOSE_TIMEOUT

    static final String BULK_CLOSE_TIMEOUT
    See Also:
      - Constant Field Values

  - ### OPTIONS

    static final String OPTIONS
    See Also:
      - Constant Field Values